## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate io-uring

Name:           rust-io-uring
Version:        0.5.13
Release:        %autorelease
Summary:        Low-level io_uring userspace interface for Rust

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/io-uring
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump bindgen build-dependency from 0.61 to 0.63
# * make bindgen build-dependency non-optional
# * drop feature for making syscalls directly (not available on all arches)
Patch:          io-uring-fix-metadata.diff
# * patch build.rs to unconditionally regenerate bindings
Patch:          0001-unconditionally-regenerate-bindings-with-bindgen.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
The low-level `io_uring` userspace interface for Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+io_safety-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+io_safety-devel %{_description}

This package contains library source intended for building other packages which
use the "io_safety" feature of the "%{crate}" crate.

%files       -n %{name}+io_safety-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+overwrite-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+overwrite-devel %{_description}

This package contains library source intended for building other packages which
use the "overwrite" feature of the "%{crate}" crate.

%files       -n %{name}+overwrite-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unstable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unstable-devel %{_description}

This package contains library source intended for building other packages which
use the "unstable" feature of the "%{crate}" crate.

%files       -n %{name}+unstable-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%ifnarch %{ix86}
# * hardcoded struct layout / alignment tests from bindgen are broken on i686
%cargo_test
%endif
%endif

%changelog
* Mon Feb 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.13-1
- Update to version 0.5.13; Fixes RHBZ#2171356

* Sat Jan 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.5.12-1
- Update to version 0.5.12; Fixes RHBZ#2156552

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Dec 20 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.10-1
- Update to version 0.5.10; Fixes RHBZ#2154497

* Sat Dec 10 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.9-1
- Update to version 0.5.9; Fixes RHBZ#2139872

* Fri Oct 28 2022 Fabio Valentini <decathorpe@gmail.com> - 0.5.8-1
- Initial import (#2138378)
